## Lightbox

Lightbox — Functions to draw a window over a shaded background

## Functions

GtkWidget * | anaconda_lightbox_new ()

## Properties

GtkWindow * | parent-window | Write / Construct Only

## Types and Values

struct | AnacondaLightbox
struct | AnacondaLightboxClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── AnacondaLightbox

## Implemented Interfaces

AnacondaLightbox implements AtkImplementorIface and GtkBuildable.

## Description

The lightbox is a widget used to display one window (a dialog or other similar window, typically) over top of the main window in the background. The main window is shaded out to make the foreground window stand out more, as well as to reinforce to the user that the background window may not be interacted with.

The lightbox window will show as soon as it is created.

## Functions

### anaconda_lightbox_new ()

    GtkWidget *
    anaconda_lightbox_new (GtkWindow *parent);

Creates a new AnacondaLightbox, which is a top-level, undecorated window that uses a shaded version of its parent window's background as its own background.

#### Parameters

parent | The parent for this window |

#### Returns

the new lightbox as a GtkWidget

## Types and Values

### struct AnacondaLightbox

    struct AnacondaLightbox;

The AnacondaLightbox struct contains only private fields and should not be directly accessed.

### struct AnacondaLightboxClass

    struct AnacondaLightboxClass {
        GtkWindowClass          parent_class;
    };

#### Members

GtkWindowClass `parent_class`; | The object class structure needs to be the first element in the widget class structure in order for the class mechanism to work correctly. This allows a AnacondaLightbox pointer to be cast to a GtkWindow pointer. |

## Property Details

### The `“parent-window”` property

      “parent-window”            GtkWindow *

The parent of this window. This value is used as the transient parent for this window.

Flags: Write / Construct Only

Since 2.0